package pl.edu.mimuw.xml.rooms;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

public class CountSeats_XSLT {
	public static void main(String[] args) {
		if (args.length < 1) {
			System.out.println("Provide input file name.");
			System.exit(-1);
		}
		try {
			CountSeats_XSLT program = new CountSeats_XSLT();
			program.countSeats(args[0]);
			System.out.println("Finished");
		} catch (Exception e) {
			System.out.println("Exception! " + e.getMessage());
			e.printStackTrace();
		}
	}

	public void countSeats(String fileName) throws TransformerException   {
		System.out.println("Starting with file " + fileName);

		StreamSource xsltSource = new StreamSource("count_seats.xsl");
		TransformerFactory tf = TransformerFactory.newInstance();
		Transformer tr = tf.newTransformer(xsltSource);
		StreamSource src = new StreamSource(fileName);
		StreamResult res = new StreamResult(System.out);
		tr.transform(src, res);
	}
}
