package pl.edu.mimuw.xml.more_sax;

import javax.xml.XMLConstants;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;
import javax.xml.validation.Schema;
import javax.xml.validation.SchemaFactory;
import javax.xml.validation.Validator;
import javax.xml.validation.ValidatorHandler;

import org.xml.sax.InputSource;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;

public class MakeUpperCaseValidate {

	public static void main(String[] args) {
		try {
		InputSource input = new InputSource(args[0]);
		
		XMLReader reader = XMLReaderFactory.createXMLReader();
		
		UpperCaseFilter filter = new UpperCaseFilter();
		filter.setParent(reader);
		
		SchemaFactory sf = SchemaFactory.newInstance(XMLConstants.W3C_XML_SCHEMA_NS_URI);
		Schema schema = sf.newSchema(new StreamSource(args[2]));
		Validator val = schema.newValidator();
		
		
		SAXSource saxSource = new SAXSource(filter, input);
		StreamResult result = new StreamResult(args[1]);

		val.validate(saxSource, result);
		
		System.out.println("OK");
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

}
